%define snapshot .svn20110905

Name:		fgrun
Summary:	Graphical front-end for launching FlightGear flight simulator
Version:	1.6.0
Release:	0.1%{snapshot}%{?dist}
License:	GPLv2+ and CC-BY-SA
Group:		Amusements/Games
URL:		http://sourceforge.net/projects/fgrun
Source0:	fgrun-%{version}%{snapshot}.tar.gz
Source1:	%{name}.desktop
# The icon is licensed under the CC Attribution-Share Alike 3.0 license
# http://commons.wikimedia.org/wiki/File:Bt_plane.svg
Source10:	http://upload.wikimedia.org/wikipedia/commons/9/9c/Bt_plane.svg
Source11:	Bt_plane-16.png
Source12:	Bt_plane-32.png
Source13:	Bt_plane-48.png
Source14:	Bt_plane-64.png
Source15:	Bt_plane-128.png
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	FlightGear, opengl-games-utils, hicolor-icon-theme
BuildRequires:	SimGear-devel >= 2.0.0
BuildRequires:	fltk-devel fltk-fluid plib-devel 
BuildRequires:	sg3_utils-devel OpenSceneGraph-devel
BuildRequires:	gettext boost-devel desktop-file-utils
BuildRequires:	automake autoconf intltool libtool

%description 
FlightGear Launch Control is a graphical front-end for launching
FlightGear flight simulator

%prep 
%setup -q -n fgrun-%{version}

%build 
CXXFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
./autogen.sh
%configure 
make %{?_smp_mflags}

%install 
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/fgrun-wrapper
%find_lang %{name}

desktop-file-install					\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

# install icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

install -m 0644 %{SOURCE10} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -m 0644 %{SOURCE11} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 0644 %{SOURCE12} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -m 0644 %{SOURCE13} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 0644 %{SOURCE14} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m 0644 %{SOURCE15} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean 
rm -fr %{buildroot}

%files  -f %{name}.lang
%defattr(-,root,root,-) 
%doc COPYING NEWS AUTHORS README
%{_bindir}/* 
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog 
* Mon Sep 05 2011 Fabrice Bellet <fabrice@bellet.info> 1.6.0-0.1
- new snapshot

* Tue Jun 14 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 1.5.2-8
- Rebuild against OSG-2.8.5.

* Fri May 27 2011 Fabrice Bellet <fabrice@bellet.info> 1.5.2-7
- rebuilt for newer fltk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 21 2010 Fabrice Bellet <fabrice@bellet.info> 1.5.2-5
- add a requires hicolor-icon-theme
- fix the icon cache scriptlets
- fix the .desktop file
- fix the %%defattr macro

* Sun Mar 14 2010 Fabrice Bellet <fabrice@bellet.info> 1.5.2-4
- rebuild with -D_FILE_OFFSET_BITS=64

* Fri Mar 12 2010 Fabrice Bellet <fabrice@bellet.info> 1.5.2-3
- add an icon

* Mon Mar 01 2010 Fabrice Bellet <fabrice@bellet.info> 1.5.2-2
- fix a BuildRequires for a recent version of SimGear

* Fri Feb 26 2010 Fabrice Bellet <fabrice@bellet.info> 1.5.2-1
- new upstream release
- use scandir() instead of fl_filename_list() to browse airports files

* Tue Jan 27 2009 Pankaj Pandey <pankaj86@gmail.com> 1.5.1-1
- Created this spec file
